#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=whistle.ico
#AutoIt3Wrapper_Res_Icon_Add=play.ico
#AutoIt3Wrapper_Res_Icon_Add=stop.ico
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <Array.au3>
#include <Misc.au3>
 $dll = DllOpen("user32.dll")
#Region ### START Koda GUI section ### Form=
Global $whistle = GUICreate("Whistle", 330, 62)
GUISetIcon("whistle.ico")
$menu_fichier=GUICtrlCreateMenu("Fichier")
$menu_fichier_nouveau=GUICtrlCreateMenuItem("Nouveau",$menu_fichier)
$menu_fichier_ouvrir=GUICtrlCreateMenuItem("Ouvrir",$menu_fichier)
$menu_fichier_enregistrer=GUICtrlCreateMenuItem("Enregistrer",$menu_fichier)
$menu_fichier_quitter=GUICtrlCreateMenuItem("Quitter",$menu_fichier)
$menu_aide=GUICtrlCreateMenu("?")
$menu_aide_apropos=GUICtrlCreateMenuItem("A propos de Whistle",$menu_aide)
$menu_aide_aide=GUICtrlCreateMenuItem("Aide",$menu_aide)
Global $clic = GUICtrlCreateLabel("     ", 296, 8, 27, 25)
Global $input = GUICtrlCreateInput("", 8, 8, 281, 25)
GUICtrlCreateIcon("play.ico", -1, 296, 8, 25, 25, BitOR($SS_NOTIFY,$WS_GROUP))
GUISetState(@SW_SHOW)
$sec = 0
$sound = 0
#EndRegion ### END Koda GUI section ###

While 1
$nMsg = GUIGetMsg()
If _IsPressed(1,$dll) Then
	$sec = 0
EndIf
Switch $nMsg
Case $GUI_EVENT_CLOSE
	DllClose($dll)
	Exit
Case $clic
	If $sec = 0 And $sound = 0 Then
		$sound = 1
		$sec = 1
		play()
	EndIf
Case $menu_fichier_ouvrir
	$file_open = FileOpenDialog("Choisisez un fichier...",@ScriptDir&"\files", "All (*.*)")
	$file_read = FileRead($file_open)
	GUICtrlSetData($input,$file_read)
		If @error = 1 Then
		Exit
	EndIf
Case $menu_fichier_quitter
	DllClose($dll)
	Exit
Case $menu_fichier_nouveau
	GUICtrlSetData($input,"")
Case $menu_fichier_enregistrer
	$name_file = InputBox("Whistle","Veuillez entrer le nom de votre musique :")
	$musique=GUICtrlRead($input)
	FileWrite(@ScriptDir&"\files\"&$name_file&".whi",$musique)
	MsgBox(64,"Whistle","Votre fichier  t enregistr.")
Case $menu_aide_apropos
	MsgBox(0,"A propos de Whistle","Whistle est un logiciel de synthse sonore (qui joue une mlodie) pas trs complexe."&@CRLF&@CRLF&"En effet, il suffit de placer le nom des notes, pour ensuite jouer la squence."&@CRLF&@CRLF&"Par Tristan ROILLET, 2011"&@CRLF&"Merci  TT22")
Case $menu_aide_aide
	$aide = FileRead(@scriptdir&"\aide.txt")
	MsgBox(0,"Aide",$aide)
EndSwitch
WEnd
Func play()
	GUICtrlCreateIcon("play.ico", -1, 296, 8, 25, 25, BitOR($SS_NOTIFY,$WS_GROUP))
	$code = GUICtrlRead($input)
	$note = StringSplit($code," ")
	$size = _ArraySize($note)-1
	For $long = 0 To $size
		$nMsg = GUIGetMsg()
		If _IsPressed(1,$dll) Then
			$sec = 0
		EndIf
		Switch $nMsg
			Case $GUI_EVENT_CLOSE
				DllClose($dll)
				Exit
			Case $clic
				If $sec = 0 And $sound = 1 Then
					$sound = 0
					$sec = 1
				EndIf
		EndSwitch
		If $sound = 0 Then ExitLoop
		;test
		$temp = $note[$long]
		$len = StringLen($temp)
		If StringRight($temp,1) = "#" Then $temp = StringLeft($temp,$len-1)
		$len = StringLen($temp)
		If StringLeft($temp,1) = "'" And $len = 5 Then $temp = StringRight($temp,4)
		If StringLeft($temp,1) = "'" And $len = 4 Then $temp = StringRight($temp,3)
		If StringLeft($temp,1) = "'" And $len = 3 Then $temp = StringRight($temp,2)
		If StringIsLower($temp) Then
			$test = 1
		ElseIf StringIsUpper($temp) Then
			$test = 3
		Else
			$test = 2
		EndIf
		;0
		If $note[$long] = "." Then Sleep(600)
		If $note[$long] = ".." Then Sleep(1200)
		If $note[$long] = "," Then Sleep(200)
		If $note[$long] = ";" Then Sleep(400)
		;1
		If $note[$long] = "do" And $test = 1 Then Beep(261,600)
		If $note[$long] = "doo" And $test = 1 Then Beep(261,1200)
		If $note[$long] = "'do" And $test = 1 Then Beep(261,200)
		If $note[$long] = "'doo" And $test = 1 Then Beep(261,400)
		If $note[$long] = "do#" And $test = 1 Then Beep(277,600)
		If $note[$long] = "doo#" And $test = 1 Then Beep(277,1200)
		If $note[$long] = "'do#" And $test = 1 Then Beep(277,200)
		If $note[$long] = "'doo#" And $test = 1 Then Beep(277,400)
		If $note[$long] = "r" And $test = 1 Then Beep(293,600)
		If $note[$long] = "r" And $test = 1 Then Beep(293,1200)
		If $note[$long] = "'r" And $test = 1 Then Beep(293,200)
		If $note[$long] = "'r" And $test = 1 Then Beep(293,400)
		If $note[$long] = "r#" And $test = 1 Then Beep(311,600)
		If $note[$long] = "r#" And $test = 1 Then Beep(311,1200)
		If $note[$long] = "'r#" And $test = 1 Then Beep(311,200)
		If $note[$long] = "'r#" And $test = 1 Then Beep(311,400)
		If $note[$long] = "mi" And $test = 1 Then Beep(329,600)
		If $note[$long] = "mii" And $test = 1 Then Beep(329,1200)
		If $note[$long] = "'mi" And $test = 1 Then Beep(329,200)
		If $note[$long] = "'mii" And $test = 1 Then Beep(329,400)
		If $note[$long] = "fa" And $test = 1 Then Beep(349,600)
		If $note[$long] = "faa" And $test = 1 Then Beep(349,1200)
		If $note[$long] = "'fa" And $test = 1 Then Beep(349,200)
		If $note[$long] = "'faa" And $test = 1 Then Beep(349,400)
		If $note[$long] = "fa#" And $test = 1 Then Beep(369,600)
		If $note[$long] = "faa#" And $test = 1 Then Beep(369,1200)
		If $note[$long] = "'fa#" And $test = 1 Then Beep(369,200)
		If $note[$long] = "'faa#" And $test = 1 Then Beep(369,400)
		If $note[$long] = "sol" And $test = 1 Then Beep(391,600)
		If $note[$long] = "sool" And $test = 1 Then Beep(391,1200)
		If $note[$long] = "'sol" And $test = 1 Then Beep(391,200)
		If $note[$long] = "'sool" And $test = 1 Then Beep(391,400)
		If $note[$long] = "sol#" And $test = 1 Then Beep(415,600)
		If $note[$long] = "sool#" And $test = 1 Then Beep(415,1200)
		If $note[$long] = "'sol#" And $test = 1 Then Beep(415,200)
		If $note[$long] = "'sool#" And $test = 1 Then Beep(415,400)
		If $note[$long] = "la" And $test = 1 Then Beep(440,600)
		If $note[$long] = "laa" And $test = 1 Then Beep(440,1200)
		If $note[$long] = "'la" And $test = 1 Then Beep(440,200)
		If $note[$long] = "'laa" And $test = 1 Then Beep(440,400)
		If $note[$long] = "la#" And $test = 1 Then Beep(466,600)
		If $note[$long] = "laa#" And $test = 1 Then Beep(466,1200)
		If $note[$long] = "'la#" And $test = 1 Then Beep(466,200)
		If $note[$long] = "'laa#" And $test = 1 Then Beep(466,400)
		If $note[$long] = "si" And $test = 1 Then Beep(493,600)
		If $note[$long] = "sii" And $test = 1 Then Beep(493,1200)
		If $note[$long] = "'si" And $test = 1 Then Beep(493,200)
		If $note[$long] = "'sii" And $test = 1 Then Beep(493,400)
		;2
		If $note[$long] = "Do" And $test = 2 Then Beep(523,600)
		If $note[$long] = "Doo" And $test = 2 Then Beep(523,1200)
		If $note[$long] = "'Do" And $test = 2 Then Beep(523,200)
		If $note[$long] = "'Doo" And $test = 2 Then Beep(523,400)
		If $note[$long] = "Do#" And $test = 2 Then Beep(554,600)
		If $note[$long] = "Doo#" And $test = 2 Then Beep(554,1200)
		If $note[$long] = "'Do#" And $test = 2 Then Beep(554,200)
		If $note[$long] = "'Doo#" And $test = 2 Then Beep(554,400)
		If $note[$long] = "R" And $test = 2 Then Beep(587,600)
		If $note[$long] = "R" And $test = 2 Then Beep(587,1200)
		If $note[$long] = "'R" And $test = 2 Then Beep(587,200)
		If $note[$long] = "'R" And $test = 2 Then Beep(587,400)
		If $note[$long] = "R#" And $test = 2 Then Beep(622,600)
		If $note[$long] = "R#" And $test = 2 Then Beep(622,1200)
		If $note[$long] = "'R#" And $test = 2 Then Beep(622,200)
		If $note[$long] = "'R#" And $test = 2 Then Beep(622,400)
		If $note[$long] = "Mi" And $test = 2 Then Beep(659,600)
		If $note[$long] = "mii" And $test = 2 Then Beep(659,1200)
		If $note[$long] = "'Mi" And $test = 2 Then Beep(659,200)
		If $note[$long] = "'Mii" And $test = 2 Then Beep(659,400)
		If $note[$long] = "Fa" And $test = 2 Then Beep(698,600)
		If $note[$long] = "Faa" And $test = 2 Then Beep(698,1200)
		If $note[$long] = "'Fa" And $test = 2 Then Beep(698,200)
		If $note[$long] = "'Faa" And $test = 2 Then Beep(698,400)
		If $note[$long] = "Fa#" And $test = 2 Then Beep(739,600)
		If $note[$long] = "Faa#" And $test = 2 Then Beep(739,1200)
		If $note[$long] = "'Fa#" And $test = 2 Then Beep(739,200)
		If $note[$long] = "'Faa#" And $test = 2 Then Beep(739,400)
		If $note[$long] = "Sol" And $test = 2 Then Beep(783,600)
		If $note[$long] = "Sool" And $test = 2 Then Beep(783,1200)
		If $note[$long] = "'Sol" And $test = 2 Then Beep(783,200)
		If $note[$long] = "'Sool" And $test = 2 Then Beep(783,400)
		If $note[$long] = "Sol#" And $test = 2 Then Beep(830,600)
		If $note[$long] = "Sool#" And $test = 2 Then Beep(830,1200)
		If $note[$long] = "'Sol#" And $test = 2 Then Beep(830,200)
		If $note[$long] = "'Sool#" And $test = 2 Then Beep(830,400)
		If $note[$long] = "La" And $test = 2 Then Beep(880,600)
		If $note[$long] = "Laa" And $test = 2 Then Beep(880,1200)
		If $note[$long] = "'La" And $test = 2 Then Beep(880,200)
		If $note[$long] = "'Laa" And $test = 2 Then Beep(880,400)
		If $note[$long] = "La#" And $test = 2 Then Beep(932,600)
		If $note[$long] = "Laa#" And $test = 2 Then Beep(932,1200)
		If $note[$long] = "'La#" And $test = 2 Then Beep(932,200)
		If $note[$long] = "'Laa#" And $test = 2 Then Beep(932,400)
		If $note[$long] = "Si" And $test = 2 Then Beep(987,600)
		If $note[$long] = "Sii" And $test = 2 Then Beep(987,1200)
		If $note[$long] = "'Si" And $test = 2 Then Beep(987,200)
		If $note[$long] = "'Sii" And $test = 2 Then Beep(987,400)
		;3
		If $note[$long] = "DO" And $test = 3 Then Beep(1046,600)
		If $note[$long] = "DOO" And $test = 3 Then Beep(1046,1200)
		If $note[$long] = "'DO" And $test = 3 Then Beep(1046,200)
		If $note[$long] = "'DOO" And $test = 3 Then Beep(1046,400)
		If $note[$long] = "DO#" And $test = 3 Then Beep(1108,600)
		If $note[$long] = "DOO#" And $test = 3 Then Beep(1108,1200)
		If $note[$long] = "'DO#" And $test = 3 Then Beep(1108,200)
		If $note[$long] = "'DOO#" And $test = 3 Then Beep(1108,400)
		If $note[$long] = "RE" And $test = 3 Then Beep(1174,600)
		If $note[$long] = "REE" And $test = 3 Then Beep(1174,1200)
		If $note[$long] = "'RE" And $test = 3 Then Beep(1174,200)
		If $note[$long] = "'REE" And $test = 3 Then Beep(1174,400)
		If $note[$long] = "RE#" And $test = 3 Then Beep(1244,600)
		If $note[$long] = "REE#" And $test = 3 Then Beep(1244,1200)
		If $note[$long] = "'RE#" And $test = 3 Then Beep(1244,200)
		If $note[$long] = "'REE#" And $test = 3 Then Beep(1244,400)
		If $note[$long] = "MI" And $test = 3 Then Beep(1318,600)
		If $note[$long] = "MII" And $test = 3 Then Beep(1318,1200)
		If $note[$long] = "'MI" And $test = 3 Then Beep(1318,200)
		If $note[$long] = "'MII" And $test = 3 Then Beep(1318,400)
		If $note[$long] = "FA" And $test = 3 Then Beep(1396,600)
		If $note[$long] = "FAA" And $test = 3 Then Beep(1396,1200)
		If $note[$long] = "'FA" And $test = 3 Then Beep(1396,200)
		If $note[$long] = "'FAA" And $test = 3 Then Beep(1396,400)
		If $note[$long] = "FA#" And $test = 3 Then Beep(1479,600)
		If $note[$long] = "FAA#" And $test = 3 Then Beep(1479,1200)
		If $note[$long] = "'FA#" And $test = 3 Then Beep(1479,200)
		If $note[$long] = "'FAA#" And $test = 3 Then Beep(1479,400)
		If $note[$long] = "SOL" And $test = 3 Then Beep(1567,600)
		If $note[$long] = "SOOL" And $test = 3 Then Beep(1567,1200)
		If $note[$long] = "'SOL" And $test = 3 Then Beep(1567,200)
		If $note[$long] = "'SOOL And $test = 3" Then Beep(1567,400)
		If $note[$long] = "SOL#" And $test = 3 Then Beep(1661,600)
		If $note[$long] = "SOOL#" And $test = 3 Then Beep(1661,1200)
		If $note[$long] = "'SOL#" And $test = 3 Then Beep(1661,200)
		If $note[$long] = "'SOOL#" And $test = 3 Then Beep(1661,400)
		If $note[$long] = "LA" And $test = 3 Then Beep(1760,600)
		If $note[$long] = "LAA" And $test = 3 Then Beep(1760,1200)
		If $note[$long] = "'LA" And $test = 3 Then Beep(1760,200)
		If $note[$long] = "'LAA" And $test = 3 Then Beep(1760,400)
		If $note[$long] = "LA#" And $test = 3 Then Beep(1864,600)
		If $note[$long] = "LAA#" And $test = 3 Then Beep(1864,1200)
		If $note[$long] = "'LA#" And $test = 3 Then Beep(1864,200)
		If $note[$long] = "'LAA#" And $test = 3 Then Beep(1864,400)
		If $note[$long] = "SI" And $test = 3 Then Beep(1975,600)
		If $note[$long] = "SII" And $test = 3 Then Beep(1975,1200)
		If $note[$long] = "'SI" And $test = 3 Then Beep(1975,200)
		If $note[$long] = "'SII" And $test = 3 Then Beep(1975,400)
	Next
	$sound = 0
	GUICtrlCreateIcon("stop.ico", -1, 296, 8, 25, 25, BitOR($SS_NOTIFY,$WS_GROUP))
EndFunc
Func _ArraySize( $aArray )
	SetError( 0 )

	$index = 0

	Do
		$pop = _ArrayPop( $aArray )
		$index = $index + 1
	Until @error = 1

	Return $index - 1
EndFunc